package com.crm.ucard.service;

import com.crm.rely.backend.core.pojo.table.CustomFileTable;
import com.crm.rely.backend.dao.repository.BaseRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by max on 2020/6/17.
 */
@Repository
public interface CustomFileRepository extends BaseRepository<CustomFileTable>{

    List<CustomFileTable> findAllByCustomId(Long customId);

    List<CustomFileTable> findAllByCustomIdAndStatus(Long customId,Integer status);

    List<CustomFileTable> getAllByCustomId(Long customId);

    List<CustomFileTable> findByCustomIdAndType(Long customId, Integer type);
}
